All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.memberproperties
Class MemberPropertyItem

    com.sas.dataselectors.memberproperties.MemberPropertyItem

    public class MemberPropertyItem

Encapsulates information about Fractional Data Items.

Since:
  3.1.4

Constructor Summary
`MemberPropertyItem()` Default constructor.

Method Summary
`boolean` | `equals(MemberPropertyItem memberPropertyItem)` Returns a boolean indicating whether the specified MemberPropertyItem is equivalent to this object.
`java.lang.String` | `getPropertyName()` Returns the name of the member property.
`java.lang.String` | `getUniqueDimensionName()` Returns the uniqueDimensionName that identifies the Dimension to which the member property belongs.
`java.lang.String` | `getUniqueLevelName()` Returns the uniqueLevelName that identifies the Level to which the member property belongs.
`void` | `setPropertyName(java.lang.String propertyName)` Sets the name of the member property.
`void` | `setUniqueDimensionName(java.lang.String uniqueDimensionName)` Sets the uniqueDimensionName that identifies the Dimension to which the member property belongs.
`void` | `setUniqueLevelName(java.lang.String uniqueLevelName)` Sets the uniqueLevelName that identifies the Level to which the member property belongs.

Constructor Detail

### MemberPropertyItem

    public MemberPropertyItem()

  Default constructor.

Method Detail

### setUniqueDimensionName

    public void setUniqueDimensionName(java.lang.String uniqueDimensionName)

  Sets the uniqueDimensionName that identifies the Dimension to which the member property belongs.

  Parameters:
    `uniqueDimensionName` - the uniqueDimensionName that identifies the Dimension to which the member property belongs.

### getUniqueDimensionName

    public java.lang.String getUniqueDimensionName()

  Returns the uniqueDimensionName that identifies the Dimension to which the member property belongs.

  Returns:
    the uniqueDimensionName that identifies the Dimension to which the member property belongs.

### setUniqueLevelName

    public void setUniqueLevelName(java.lang.String uniqueLevelName)

  Sets the uniqueLevelName that identifies the Level to which the member property belongs.

  Parameters:
    `uniqueLevelName` - the uniqueLevelName that identifies the Level to which the member property belongs.

### getUniqueLevelName

    public java.lang.String getUniqueLevelName()

  Returns the uniqueLevelName that identifies the Level to which the member property belongs.

  Returns:
    the uniqueLevelName that identifies the Level to which the member property belongs.

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  Sets the name of the member property.

  Parameters:
    `propertyName` - the name of the member property.

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the name of the member property.

  Returns:
    the name of the member property.

### equals

    public boolean equals(MemberPropertyItem memberPropertyItem)

  Returns a boolean indicating whether the specified MemberPropertyItem is equivalent to this object.

  The specified MemberPropertyItem is not equivalent to this object if:

  - If the specified MemberPropertyItem is null
  - If the specified MemberPropertyItem's propertyName does not match this object's propertyName
  - If the specified MemberPropertyItem's uniqueLevelName does not match this object's uniqueLevelName
  - If the specified MemberPropertyItem's uniqueDimensionName does not match this object's uniqueDimensionName
  Otherwise, the objects are equivalent.

  Parameters:
    `memberPropertyItem` - the MemberPropertyItem to compare against this object for equivalency.
  Returns:
    boolean indicating whether the specified MemberPropertyItem is equivalent to this object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.